signature KSatrak =
    (* dp01s nhf, v1.1 -- 2001. pr. 3. Hank Pter *)
sig
    exception KSatrak of string;
    (* satrak_be f = az f szveges llomnybl beolvasott adatokbl kpzett
          feladvnyler
    *)
    val satrak_be : string -> TSatrak.fLeiro
    (* satrak_ki(m, mss, fl) = az mss megoldslista s az fl feladvnyler
          alapjn az sszes megoldst kirja az m szveges llomnyba
    *)
    val satrak_ki : string * TSatrak.fLeiro * TSatrak.sHelyek list -> unit
    (* megold(f, m) = beolvas egy feladvnyt az f szveges llomnybl s
          kirja az sszes megoldst az m szveges llomnyba; ehhez
          szksge van a Satrak.satrak fggvnyre; eredmnye az f nevet, a
          megoldsok szmt s a futsi idt mp-ben tartalmaz fzr
    *)
    val megold : string * string -> string
    (* A bemenetet, ill. a kimenetet a terminlra irnythatjuk Unix alatt
       a /dev/stdin, ill. a /dev/stdout, MS-DOS alatt mindkt esetben a con
       llomnynv megadsval.
    *)
end
